List Chats
curl --request GET \
--url https://app.textql.com/v2/chats \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.textql.com/v2/chats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.textql.com/v2/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chats": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_email": "<string>",
"preview": "<string>",
"source": "<string>",
"model": "<string>",
"is_running": true
}
],
"total_count": 123
}{
"error": {
"code": "unauthenticated",
"message": "Authentication required"
}
}{
"error": {
"code": "permission_denied",
"message": "Insufficient permissions"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded"
}
}{
"error": {
"code": "internal",
"message": "Internal server error"
}
}Dashboards
List Chats with Dashboards
List chats with optional search and pagination
GET
/
v2
/
chats
List Chats
Authorizations
API key or JWT token
Query Parameters
Maximum number of chats to return (default 20, max 100)
Required range:
1 <= x <= 100Number of chats to skip
Required range:
x >= 0Filter chats by summary or first message content
Field to sort by
Available options:
name, created_at, updated_at Sort direction
Available options:
asc, desc ⌘I